priority: 100

//Items

onEvent('item.tags', e => {
    
//Tinkers
e.add('infernopolis:sword', 'tconstruct:sword')
e.add('infernopolis:excavator', 'tconstruct:excavator')
e.add('infernopolis:mattock', 'tconstruct:mattock')
e.add('infernopolis:pickaxe', 'tconstruct:pickaxe')
e.add('infernopolis:hand_axe', 'tconstruct:hand_axe')
e.add('infernopolis:kama', 'tconstruct:kama')
e.add('infernopolis:hoe', 'tconstruct:scythe')
//Soul Blocks
e.add('infernopolis:soul_blocks', 'minecraft:soul_sand');
e.add('infernopolis:soul_blocks', 'minecraft:soul_soil');
//Nether Planks
e.add('infernopolis:nether_planks', 'minecraft:crimson_planks');
e.add('infernopolis:nether_planks', 'minecraft:warped_planks');
e.add('infernopolis:nether_planks', 'tconstruct:bloodshroom_planks');
//Nether Logs
e.add('infernopolis:nether_log', 'minecraft:crimson_stem');
e.add('infernopolis:nether_log', 'minecraft:warped_stem');
e.add('infernopolis:nether_log', 'tconstruct:bloodshroom_log');
//Nether Saplings
e.add('infernopolis:nether_fungus', 'minecraft:crimson_fungus');
e.add('infernopolis:nether_fungus', 'minecraft:warped_fungus');
e.add('infernopolis:nether_fungus', 'tconstruct:blood_slime_sapling');
//Netherrack
e.add('forge:netherrack', 'minecraft:crimson_nylium');
e.add('forge:netherrack', 'minecraft:warped_nylium');
//Curious Tags
//Wands
e.add('infernopolis:basic_wand', 'kubejs:basic_wand')
e.add('infernopolis:basic_wand', 'kubejs:advanced_wand')
e.add('infernopolis:basic_wand', 'kubejs:quartz_cobalt_wand')
e.add('infernopolis:advanced_wand', 'kubejs:advanced_wand')
e.add('infernopolis:advanced_wand', 'kubejs:quartz_cobalt_wand')
e.add('infernopolis:quartz_cobalt_wand', 'kubejs:quartz_cobalt_wand')
e.add('infernopolis:summoner_wand', 'kubejs:summoner_wand')
//Blackstone
e.remove('minecraft:stone_crafting_materials', 'minecraft:blackstone')
e.remove('minecraft:stone_tool_materials', 'minecraft:blackstone')
e.remove('quark:stone_tool_materials', 'minecraft:blackstone')
//Infested Stone
e.remove('forge:stone', 'minecraft:infested_stone')
//Misc Tag Remove
e.remove('minecraft:logs', 'occultism:otherworld_log')
//Arc Tools
e.add('bloodmagic:arc/tool', 'kubejs:aqua_ball');
e.add('bloodmagic:arc/tool', 'tconstruct:blood_slime_ball');
//PSI (Crux)
e.add('infernopolis:rod_crux', 'psi:cad_core_basic')
e.add('infernopolis:rod_crux', 'psi:cad_core_overclocked')
e.add('infernopolis:rod_crux', 'psi:cad_core_conductive')
e.add('infernopolis:rod_crux', 'psi:cad_core_hyperclocked')
e.add('infernopolis:rod_crux', 'psi:cad_core_radiative')
//PSI (Notch)
e.add('infernopolis:rod_notch', 'psi:cad_socket_basic')
e.add('infernopolis:rod_notch', 'psi:cad_socket_signaling')
e.add('infernopolis:rod_notch', 'psi:cad_socket_large')
e.add('infernopolis:rod_notch', 'psi:cad_socket_transmissive')
e.add('infernopolis:rod_notch', 'psi:cad_socket_huge')
//PSI (Source)
e.add('infernopolis:rod_battery', 'psi:cad_battery_ultradense')
e.add('infernopolis:rod_battery', 'psi:cad_battery_extended')
e.add('infernopolis:rod_battery', 'psi:cad_battery_basic')
//PSI (Rod)
e.add('infernopolis:rod', 'psi:cad_assembly_ebony_psimetal')
e.add('infernopolis:rod', 'psi:cad_assembly_ivory_psimetal')
e.add('infernopolis:rod', 'psi:cad_assembly_psimetal')
e.add('infernopolis:rod', 'psi:cad_assembly_gold')
e.add('infernopolis:rod', 'psi:cad_assembly_creative')
e.add('infernopolis:rod', 'psi:cad_assembly_iron')
//Banned Items After Deaths
e.add('infernopolis:banned_after_death', 'bloodmagic:sacrificialdagger');
e.add('infernopolis:banned_after_death', 'bloodmagic:weakbloodorb');
e.add('infernopolis:banned_after_death', 'bloodmagic:apprenticebloodorb');
e.add('infernopolis:banned_after_death', 'bloodmagic:magicianbloodorb');
e.add('infernopolis:banned_after_death', 'bloodmagic:masterbloodorb');
//Misc Tags
e.add('forge:rods/wooden', 'kubejs:stick')
//Item Filters (FTB Quests)
e.add('itemfilters:check_nbt', 'versatileportals:existing_world_control')
e.add('itemfilters:check_nbt', 'custommachinery:custom_machine_item')
//PSI (Colours)
function dye(type){
e.add('infernopolis:rod_colour', 'psi:cad_colorizer_' + type + '')}
dye('white')
dye('blue')
dye('magenta')
dye('orange')
dye('light_blue')
dye('yellow')
dye('lime')
dye('pink')
dye('gray')
dye('light_gray')
dye('cyan')
dye('purple')
dye('brown')
dye('green')
dye('red')
dye('black')
dye('rainbow')
dye('psi')
//Marble
e.add('forge:marble', 'quark:marble')
e.add('forge:marble', 'astralsorcery:marble_raw')
})
//Blocks

onEvent('block.tags', e => {
//Netherrack    
e.add('forge:netherrack', 'minecraft:crimson_nylium');
e.add('forge:netherrack', 'minecraft:warped_nylium');
//Soul Blocks
e.add('infernopolis:soul_blocks', 'minecraft:soul_sand');
e.add('infernopolis:soul_blocks', 'minecraft:soul_soil');
//Ores
e.remove('forge:ores', 'astralsorcery:rock_crystal_ore')
e.add('forge:ores', 'kubejs:unpowered_starmetal_ore')
//Marble
e.add('forge:marble', 'quark:marble')
//Dragon Proof
//e.add('minecraft:dragon_immune', 'kubejs:end_portal_frame')

e.remove('forge:stone', 'minecraft:infested_stone')
})
//Fluids

onEvent('fluid.tags', e => {
//Blood    
e.add('infernopolis:blood', 'tconstruct:blood');
e.add('infernopolis:blood', 'bloodmagic:life_essence_fluid')

})

